/*!
* Start Bootstrap - Agency v7.0.12 (https://startbootstrap.com/theme/agency)
* Copyright 2013-2023 Start Bootstrap
* Licensed under MIT (https://github.com/StartBootstrap/startbootstrap-agency/blob/master/LICENSE)
*/
//
// Scripts
// 


/*=== Swipe avec Touch Events ===*/
/*===============================*/
// Si l'écran est plus petit que "x" pixels (optionnel) // 1024px ici
if(screen.width <= 1024) {
	var startX = 0; // Position de départ
	var distance = 100; // 100 px de swipe pour afficher le menu

	// Au premier point de contact
	window.addEventListener("touchstart", function(evt) {
		// Récupère les "touches" effectuées
		var touches = evt.changedTouches[0];
		startX = touches.pageX;
		between = 0;
	}, false);

	// Quand les points de contact sont en mouvement
	window.addEventListener("touchmove", function(evt) {
		// Limite les effets de bord avec le tactile...
		evt.preventDefault();
		evt.stopPropagation();
	}, false);

	// Quand le contact s'arrête
	window.addEventListener("touchend", function(evt) {
		var touches = evt.changedTouches[0];
		var between = touches.pageX - startX;

		// Détection de la direction
		if(between > 0) {
			var orientation = "ltr";
		} else {
			var orientation = "rtl";
		}

		// Modification du menu burger
		if(Math.abs(between) >= distance && orientation == "ltr" && mainMenu.getAttribute("class") != "visible") {
            document.getElementById("sideNavigation").style.width = "250px";
            document.getElementById("main").style.marginLeft = "250px";
		}
		if(Math.abs(between) >= distance && orientation == "rtl" && mainMenu.getAttribute("class") != "invisible") {
			document.getElementById("sideNavigation").style.width = "0";
            document.getElementById("main").style.marginLeft = "0";
		}

		// Créé l'effet pour le menu slide (compatible partout)
		if(Math.abs(between) >= distance && orientation == "ltr" && mainMenu.getAttribute("class") != "visible") {
			mainMenu.setAttribute("class", "visible");
		}
		if(Math.abs(between) >= distance && orientation == "rtl" && mainMenu.getAttribute("class") != "invisible") {
			mainMenu.setAttribute("class", "invisible");
		}
	}, false);
}


function toggleSide() {
    var element = document.getElementById("sideNavigation");
    if(screen.width >= 450) {
        if (element.style.width == "250px") {
            document.getElementById("sideNavigation").style.width = "0";
            document.getElementById("sidenavbtn").style.marginRight = "0";
            document.getElementById("main").style.marginRight = "0";
        } else {
            document.getElementById("sideNavigation").style.width = "250px";
            document.getElementById("sidenavbtn").style.marginRight = "250px";
            document.getElementById("main").style.marginRight = "250px";
        }
    } else {
        if (element.style.width == "250px") {
            document.getElementById("sideNavigation").style.width = "0";
            document.getElementById("sidenavbtn").style.marginRight = "0";
        } else {
            document.getElementById("sideNavigation").style.width = "250px";
            document.getElementById("sidenavbtn").style.marginRight = "250px";
        }
    }
}

/* Set the width of the side navigation to 250px and the left margin of the page content to 250px  
function openNav() {
    document.getElementById("sideNavigation").style.width = "250px";
    document.getElementById("sidenavbtn").style.marginRight = "250px";
    document.getElementById("main").style.marginRight = "250px";
    console.log("1");
    if (oui = 1) {
        oui=2;
        console.log("+1");
    }
  }
  */
  /*function closeNav() {    Set the width of the side navigation to 0 and the left margin of the page content to 0 
    document.getElementById("sideNavigation").style.width = "0";
    document.getElementById("sidenavbtn").style.marginRight = "0";
    document.getElementById("main").style.marginRight = "0";
    console.log("2");
    if (oui = 2) {
        oui=1;
        console.log("-1");
    }
  } 
  }
  */
  
  


window.addEventListener('DOMContentLoaded', event => {
    // Navbar shrink function
    var navbarShrink = function () {
        const navbarCollapsible = document.body.querySelector('#mainNav');
        if (!navbarCollapsible) {
            return;
        }
        if (window.scrollY === 0) {
            navbarCollapsible.classList.remove('navbar-shrink')
        } else {
            navbarCollapsible.classList.add('navbar-shrink')
        }

    };

    // Shrink the navbar 
    navbarShrink();

    // Shrink the navbar when page is scrolled
    document.addEventListener('scroll', navbarShrink);

    //  Activate Bootstrap scrollspy on the main nav element
    const mainNav = document.body.querySelector('#mainNav');
    if (mainNav) {
        new bootstrap.ScrollSpy(document.body, {
            target: '#mainNav',
            rootMargin: '0px 0px -40%',
        });
    };

    // Collapse responsive navbar when toggler is visible
    const navbarToggler = document.body.querySelector('.navbar-toggler');
    const responsiveNavItems = [].slice.call(
        document.querySelectorAll('#navbarResponsive .nav-link')
    );
    responsiveNavItems.map(function (responsiveNavItem) {
        responsiveNavItem.addEventListener('click', () => {
            if (window.getComputedStyle(navbarToggler).display !== 'none') {
                navbarToggler.click();
            }
        });
    });

});
